Subject: Re: [mobile-ip] Question about MIPv6 draft 18

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 14 Aug 2002 13:08:28 -0700 (PDT)

> instead of cookies.  However the paragraph I quoted implies that
> cookies are kept, which is actually not true and against previous
> recomendations.  And, in effect, a nonce may remain valid up to
> a maximum of "nonce generation interval" + MAX_COOKIE_LIFE (that's
> how far the time window may slide).
> 

Yes, a nonce should be valid at least up to MAX_COOKIE_LIFE,
otherwise, a BU refresh with valid cookie life time will not be
able to generate the same key.

> > 
> > Since K0 or K1 are  fn(Ni, Hoa), fn(Nj, Coa) respectively,
> > CN does not need to keep the cookies saved for their lifetime,
> > but it needs to compute everytime it processes a request.
> 
> Yes, but the time window on the nonce only slides when the cookie
> for a CoT or a HoT are computed, not everytime.
> 

I am not sure what you mean by this, could you please explain ?

> > 
> > I thought about the possibility of keeping K0/K1 as well, but
> > then it means more memory and then in a way it's keeping state
> > of MN, before accepting the BU for that MN--which is not 
> > recommended.
> > 
> 
> That would actually be really bad, because you would need K0/K1 pair
> for each mobile node talking to you and that can be a very large
> number.  This would also open for yet another DOS attack, where
> all an attacker would do is run RR with different addresses and
> consume all your cookie space and cause another redirect attack
> that would result for HoT and CoT messages.

Right. Keeping cookies are bad ideas.

-Samita

---

From: Vladislav Yasevich <[email-masked]>
Date: Wed, 14 Aug 2002 16:37:00 -0400

> I am not sure what you mean by this, could you please explain ?

I'll try...

A nonce is valid for MAX_COOKIE_LIFE after the cookie is generated
to make the cookie valid.  So, for every (new) cookie that's generated from
a nonce, the time that the nonce and the cookie are valid stides out to 
MAX_COOKIE_LIFE.  But, conceptually, cookies are originally generated for
HoT and CoT messages only. They just will need to be recomputed to figure
out Kbu.  So, my assumption (and this is just my assumption) is that the
timeout on the nonce is reset only when the cookies are computed for HoT and
CoT messages.  Otherwise nonces, and thus cookies, might be kept for much
longer then intended.

Does that make sense?

-vlad
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Vladislav Yasevich	       Tru64 UNIX - IPv6 Project Lead
Hewlett Packard 	       Tel: (603) 884-1079
Nashua, NH 03062	       ZKO3-3/T07